Logoelepay
Customer

Create customer

Creates a customer.

POST
/customers
AuthorizationBearer <token>

API authentication is performed via Bearer auth using the secret key as the bearer token. The secret key is a critical key that allows all API operations, so handle it with care.

In: header

Request Body

application/json

Customer request

name?string

Name

description?string

Description of the customer

email?string

Email address

phone?string

Phone number

remark?string

Remarks

metadata?

Metadata

Response Body

application/json;charset=utf-8

curl -X POST "https://api.elepay.io/customers" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "object": "customer",
  "liveMode": true,
  "defaultSource": "string",
  "name": "string",
  "description": "string",
  "email": "string",
  "phone": "string",
  "remark": "string",
  "operator": "string",
  "status": "active",
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "updateTime": 0
}